#!/usr/bin/env bash

# PostgreSQL access configuration
pgport=5432
dbname=pg_jsonb_issue

# Recreate test database
dropdb --if-exists -h localhost -p ${pgport} -U postgres ${dbname}
createdb -h localhost -p ${pgport} -U postgres ${dbname}

# Load dump
psql -h localhost -p ${pgport} -U postgres ${dbname} -f dump/pg_jsonb_issue.dmp

# Execute query
psql -h localhost -p ${pgport} -U postgres ${dbname} -f sql/pg_jsonb_issue.sql > logs/report_pg.txt

# Suggested workaround
psql -h localhost -p ${pgport} -U postgres ${dbname} -f sql/pg_jsonb_workaround.sql > logs/report_wa_pg.txt
